> For the complete documentation index, see [llms.txt](https://docs-v4.venus.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-v4.venus.io/technical-reference/reference-isolated-pools/pool-registry/pool-registry-interface.md).

# PoolRegistryInterface

## PoolRegistryInterface

Interface implemented by `PoolRegistry`.

## Solidity API

```solidity
struct VenusPool {
  string name;
  address creator;
  address comptroller;
  uint256 blockPosted;
  uint256 timestampPosted;
}

```

```solidity
struct VenusPoolMetaData {
  string category;
  string logoURL;
  string description;
}

```

#### getAllPools

Get all pools in PoolRegistry

```solidity
function getAllPools() external view returns (struct PoolRegistryInterface.VenusPool[])
```

***

#### getPoolByComptroller

Get a pool by comptroller address

```solidity
function getPoolByComptroller(address comptroller) external view returns (struct PoolRegistryInterface.VenusPool)
```

***

#### getVTokenForAsset

Get the address of the VToken contract in the Pool where the underlying token is the provided asset

```solidity
function getVTokenForAsset(address comptroller, address asset) external view returns (address)
```

***

#### getPoolsSupportedByAsset

Get the addresss of the Pools supported that include a market for the provided asset

```solidity
function getPoolsSupportedByAsset(address asset) external view returns (address[])
```

***

#### getVenusPoolMetadata

Get the metadata of a Pool by comptroller address

```solidity
function getVenusPoolMetadata(address comptroller) external view returns (struct PoolRegistryInterface.VenusPoolMetaData)
```

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs-v4.venus.io/technical-reference/reference-isolated-pools/pool-registry/pool-registry-interface.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
